;HerMiniSID executer or SID-file

.weak
 RELEASE=0 ;Smallest executer for smallest executable release with title-display, or debug-version?
 EXPORTTYPE=0 ;PRG(0) or C64-executable(1) or SID(2) export-output?
.endweak


.if (EXPORTTYPE==2)

SIDheader
         .byte $50,$53,$49,$44, $00,$02, $00,$7C, $00,$00
         .byte >initPlayer,<initPlayer, >playerCall,<playerCall
         .byte $00,$01, $00,$01, $00,$00,$00,$00
SIDtitle .text "HerMiniSID"
         .fill 32-(*-SIDtitle), 0
author   .text "Hermit (Mihaly Horvath)"
         .fill 32-(*-author), 0
relinfo  .text "Tiny SID compo 2022"
         .fill 32-(*-relinfo), 0
         .byte $00,$24
         .fill 4

        .byte <PLAYERCODE, >PLAYERCODE ;load-address

.elsif (EXPORTTYPE==1)

        *= $0801
        .word ss,1
        .null $9e,format("%d",start) ;SYS command
ss      .word 0


C64title .text "HERMINISID"
C64title_end


 .if (RELEASE==0)

start   sei
        lda #$34
        sta 1
        lda #0
        jsr initPlayer
        inc 1
loop    lda #$fe
        cmp $d012
        bne *-3
        inc $d020
        dec 1
        jsr playerCall
        inc 1
        dec $d020
        ldx #$18
-       dec 1
        lda $D400,x
        sta $0400,x
        inc 1
        sta $D400,x
        dex
        bpl -
        ldx #$15-1
-       lda VARIABLES,x
        sta $0450,x
        .if (TRANSPOSE_SUPPORT)
         lda VARIABLES2,x
         sta $04A0,x
        .fi
        dex
        bpl -
        jmp loop

 .else ;RELEASE==1

start   sei
        lda #$17
        sta $d018
  .if (INITRETURN_SUPPORT==0)
        lda #$fe
        cmp $d012
        bne *-3
  .fi
        lda #0
        jsr initPlayer

loop    lda #$fe
        cmp $d012
        bne *-3
        inc $d020
        jsr playerCall
        dec $d020
        ldx #C64title_end-C64title-1
-       lda C64title,x
        sta $0400+12*40+20-(C64title_end-C64title)/2,x
        dex
        bpl -
        jmp loop

 .endif ;RELEASE

.endif ;SIDMODE


.if (EXPORTTYPE<2)
 .if (EXPORTTYPE==0)
  *=$1000
 .else
  .if (RELEASE==0)
   .align $100
  .fi
 .fi
 PLAYERADDRESS=*
.else
 PLAYERADDRESS=$1000
.fi
.include "player.asm"


.cwarn "PlayerSize: ", MUSICDATA-PLAYERCODE, " bytes (player:", PLAYERCODE, ") , MusicSize: ", PLAYERCODE_end-PLAYERCODE, " bytes (Tracks:",TRACKS," Patterns:",PATTERNS," Instruments:",INSTRUMENTS,")"
.cwarn *-PLAYERCODE>$FF, "Blocksize exceeded."

