;The executed Music-data

.include "lib.asm"

MUSICDATA ;---------------------------------------------------------------------

PT1 = call(Pattern1)
I1 = call(Kick)
I2 = call(Snare)
I3 = call(Bass)
I4 = call(Solo)
I5 = call(MinArp)
V0F  = call(setVol0F)
SRF7 = call(setSRF7)
WF81 = call(setWF81)
WF80 = call(setWF80)
WF31 = call(setWF31)
WF21 = call(setWF21)
WF20 = call(setWF20)
WF11 = call(setWF11)
WF10 = call(setWF10)
FR03 = call(setFr03)
FR04 = call(setFr04)
FR0C = call(setFr0C)
FR30 = call(setFr30)
FR34 = call(setFr34)
FR40 = call(setFr40)
FR50 = call(setFr50)
FR60 = call(setFr60)
FR70 = call(setFr70)
FRFF = call(setFrFF)


OrderList1 jump OrderList1
           .fill 7-2

OrderList2 jump OrderList2
           .fill 7-2

OrderList3 .byte V0F, SRF7, PT1
           jump OrderList3


Pattern1 .byte I1, I2, I5, ret


DrumStart .byte WF81,FRFF, WF11,FR0C, ret
Kick   .byte call(DrumStart), WF10,FR03, ret
Snare  .byte call(DrumStart), WF80,FR40, ret
Bass   .byte WF81,FRFF, WF31,FR04, ret
Solo   .byte WF31,FR34, WF21,FR30, ret
MinArp .byte WF21,FR40
MinLoop .byte WF20,FR50, FR60, FR70
        jump MinLoop

setVol0F VOr $0F

setSRF7 SRr $F7

setWF81 WFr $81
setWF80 WFr $80
setWF31 WFr $31
setWF21 WFr $21
setWF20 WFr $20
setWF11 WFr $11
setWF10 WFr $10

setFr03 FHr $03
setFr04 FHr $04
setFr0C FHr $0C
setFr30 FHr $30
setFr34 FHr $34
setFr40 FHr $40
setFr50 FHr $50
setFr60 FHr $60
setFr70 FHr $70
setFrFF FHr $FF

;Note: C,,, C,, G,,  C,  E,  G,(A#,)  C   D   E (F#)  G  (G#) A#  H
;Hz:    15   30  45  60  75  90 105  120 135 150 165 180 195 210 225
;val:  $01  $02 $03 $04 $05 $06 $07  $08 $09 $0A $0B $0C $0D $0E $0F

;Note:  C' C#'  D' D#'  E'  F' F#'      G'    (Ab') A'    (Hb') H'
;Hz:   241 256 271 286 301 316 331 346 361 376 391 406 421 436 451 466
;val:  $10 $11 $12 $13 $14 $15 $16 $17 $18 $19 $1A $1B $1C $1D $1E $1F

;Note: C'' C#'' D'' D#'' E'' F'' F#'' G'' G#'' A'' A#'' H''
;Hz:   
;val:  $20 $22  $24 $26  $28 $2B $2d  $30 $33  $36 $39  $3d

;Note: C-3 C#-3
;Hz:   
;val:  $40  $
