.if (SIDMODE==1)

SIDheader
        * = $5350 ;PS

        .byte $49,$44, $00,$02, $00,$7C, $00,$00
        .byte >init,<init, >play,<play
        .byte $00,$01, $00,$01, $00,$00,$00,$00
title   .text "Stack-based SID-player"
        .fill 32-(*-title), 0
author  .text "Hermit (Mihaly Horvath)"
        .fill 32-(*-author), 0
relinfo .text "Tiny SID compo 2022"
        .fill 32-(*-relinfo), 0
        .byte $00,$24
        .fill 4

        .byte <PLAYERCODE, >PLAYERCODE ;load-address

.else

        *= $0801
        .word ss,1
        .null $9e,format("%d",start) ;SYS command
ss      .word 0

start   sei
        lda #$34
        sta 1
        lda #0
        jsr init
        inc 1
loop    lda #$fe
        cmp $d012
        bne *-3
        inc $d020
        dec 1
        jsr play
        inc 1
        dec $d020
        ldx #$18
-       dec 1
        lda $D400,x
        sta $0400,x
        inc 1
        sta $D400,x
        dex
        bpl -
        jmp loop

.endif

.include "player.asm"

.cwarn "PlayerSize: ", MUSICDATA-PLAYERCODE, " bytes,  MusicSize: ", *-PLAYERCODE, " bytes"
.cwarn *-PLAYERCODE>$FF, "Blocksize exceeded."

