;The executed Music-data

.include "macrolib.s"

MUSICDATA ;---------------------------------------------------------------------

;Feature-Config
SIDINIT_SUPPORT   = 0 ;zeroes all SID-registers at init (stable pitch-low=0 and default $00 AttackDecay, no filter)
TRANSPOSE_SUPPORT = 0 ;allows transpose-change within Track (pattern-list)
ABSPITCH_SUPPORT  = 1 ;absolute (note/transpose-independent) pitch lookup in instrument-table (+waveform)
TRACKINS_SUPPORT  = 0 ;allows instrument-selection from Track (pattern-list)
PULSESWEEP_SUPPORT= 0 ;assign duration-counter to pulsewidth-lowbyte causing a slight pulse-sweep
BASSNOTE_SUPPORT  = 0 ;use 16 bit pitch (having more notes in bass range)
INITRETURN_SUPPORT= 1 ;have an RTS after initRoutine or let it do the 1st frame by passing through to playerRoutine
;ARPALONE_SUPPORT  = 0 ;1byte standalone arpeggio (relative pitch) in instrument-table (no waveform-change)

TEMPO = 10 ;frames per pattern-row


TRACKS ;should be at the beginning, track1..3 should be exactly 7 bytes apart
PATTERNS=TRACKS ; 'PATTERNS' base can be anywhere in the reachable 256byte block

Track1 .byte PAT(EmptyPattern), JMP(Track1)
EmptyPattern .byte Ins(EmptyInstrument), Dur(4), Note_(0)
Track1_end
       .fill SID_CHANNEL_SPACING-(Track1_end-Track1), JMP(Track1)

Track2 .byte PAT(EmptyPattern), JMP(Track2)
Track2_end
       .fill SID_CHANNEL_SPACING-(Track2_end-Track2), JMP(Track2)

Track3 .byte PAT(EmptyPattern), JMP(Track3)


INSTRUMENTS ; 'INSTRUMENTS' base can be anywhere in the reachable 256byte block


EmptyInstrument .byte ArpWF_(0,0)


NoteTable  ;    0    1    2    3    4    5    6    7    8    9    A    B

